
export ENGINE_DEFAULTS="${ENGINE_DEFAULTS:-/usr/share/ovirt-engine/services/ovirt-engine/ovirt-engine.conf}"
export ENGINE_VARS="${ENGINE_VARS:-/etc/ovirt-engine/engine.conf}"
PACKAGE_NAME="ovirt-engine"
PACKAGE_VERSION="4.5.7_master"
DISPLAY_VERSION="4.5.7-0.master.20250527140614.git5afe92a2b5.el9"
ENGINE_LOG="/var/log/ovirt-engine"

# We need to disable FIPS configuration of OpenJDK to be able to work with
# file system keystores and interoperability with openssl
export JAVA_TOOL_OPTIONS="-Dcom.redhat.fips=false"

die() {
	local m="$1"
	echo "FATAL: ${m}" >&2
	exit 1
}

load_config() {

	[ -r "${ENGINE_DEFAULTS}" ] || die "Can't load defaults file \"${ENGINE_DEFAULTS}\"."

	for f in \
		"${ENGINE_DEFAULTS}" \
		"${ENGINE_VARS}" \
		$([ -d "${ENGINE_VARS}.d" ] && find "${ENGINE_VARS}.d" -name '*.conf' | sort) \
		; do

		[ -r "${f}" ] && . "${f}"
	done

	[ -n "${OVIRT_JBOSS_HOME}" ] && JBOSS_HOME="${OVIRT_JBOSS_HOME}"

	JAVA_HOME="$("${ENGINE_USR}/bin/java-home")" || die "Cannot set JAVA_HOME"
	export JAVA_HOME

	# we use jboss specific loader (jboss-modules.jar)
	# setup module path
	export JAVA_MODULEPATH="${ENGINE_USR}/modules/tools:${ENGINE_JAVA_MODULEPATH}:${JBOSS_HOME}/modules"

	# clean the class path
	# jboss module loader will not run otherwise.
	export CLASSPATH=""
}

load_config
